Bug 252452 - I'm having a HiDPI resolution of 3840x2160. The whole UI is so tiny and if I use a workaround which will enlarge the UI but it looks blurry. Please make a fix as fast as possible. Much appreciated. Thank you!
I'm having a HiDPI resolution of 3840x2160. The whole UI is so tiny and if I ...
Status: NEW
Product: platform
Classification: Unclassified
Component: Window System
8.0.2
PC Windows 8 x64
: P3 with 13 votes (vote)
: 8.2
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-18 10:29 UTC by jianyongng
Modified: 2017-07-04 20:53 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
IDE log (38.31 KB, text/plain)
2015-05-18 10:29 UTC, jianyongng
Details
Screenshot of Netbeans 8.1 on a HiDPI/4k (3840x2160) screen using Oracle JDK8u66 in ElementaryOS Freya (Linux) (703.38 KB, image/png)
2016-01-16 11:47 UTC, carniz
Details
Screenshot of Netbeans 8.1 (with the new Darcula theme) on a HiDPI/4k (3840x2160) screen using Oracle JDK8u66 in ElementaryOS Freya (Linux) (680.73 KB, image/png)
2016-01-17 00:22 UTC, carniz
Details
Screenshot of Netbeans 8.1 (with the new Darcula theme) on a HiDPI/4k (3840x2160) screen using Oracle JDK8u66 in Windows 10 (1.87 MB, image/png)
2016-01-27 17:58 UTC, carniz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jianyongng 2015-05-18 10:29:40 UTC
Product Version = NetBeans IDE 8.0.2 (Build 201411181905)
Operating System = Windows 8 version 6.2 running on amd64
Java; VM; Vendor = 1.7.0_80
Runtime = Java HotSpot(TM) 64-Bit Server VM 24.80-b11
Comment 1 jianyongng 2015-05-18 10:29:45 UTC
Created attachment 153718 [details]
IDE log
Comment 2 thor 2015-09-09 00:01:52 UTC
This is also an issue with the upcoming 8.1 release on UHD/4K displays on Windows 10. The UI must listen to the global dpi settings, otherwise it becomes unusable on smaller UHD displays.
Comment 3 aede 2016-01-15 10:04:15 UTC
Not bound to Windows. Experiencing the same on Linux.

Display: 3840x2160
OS: ubuntu 15.10 (64-bit)
Netbeans info:
  Product Version: NetBeans IDE 8.1 (Build 201510222201)
  Java: 1.8.0_66; Java HotSpot(TM) 64-Bit Server VM 25.66-b17
  Runtime: Java(TM) SE Runtime Environment 1.8.0_66-b17
  System: Linux version 4.2.0-23-generic running on amd64; UTF-8; en_US (nb)
Comment 4 carniz 2016-01-16 11:45:46 UTC
I also would like to stress the need to fix this, since many new laptops (such as the Dell XPS 15 / Precision 5510) ship with 4K HiDPI screens. I just bought the latter one, and Netbeans looks amateurish compared to native GTK applications. Attaching a screenshot.
Comment 5 carniz 2016-01-16 11:47:45 UTC
Created attachment 158154 [details]
Screenshot of Netbeans 8.1 on a HiDPI/4k (3840x2160) screen using Oracle JDK8u66 in ElementaryOS Freya (Linux)
Comment 6 carniz 2016-01-17 00:22:34 UTC
Created attachment 158158 [details]
Screenshot of Netbeans 8.1 (with the new Darcula theme) on a HiDPI/4k (3840x2160) screen using Oracle JDK8u66 in ElementaryOS Freya (Linux)

You need the eyes of a hawk to use NB on this screen...
Comment 7 carniz 2016-01-27 17:58:41 UTC
Created attachment 158256 [details]
Screenshot of Netbeans 8.1 (with the new Darcula theme) on a HiDPI/4k (3840x2160) screen using Oracle JDK8u66 in Windows 10

And here's how it looks in Windows on the same laptop (Dell Precision 5510). Notice the difference in font rendering between Java/Netbeans and the native font rendering of the desktop icons. It puts a strain on the eyes :(
Comment 8 desperate_dante 2016-02-24 06:51:32 UTC
I too was having the same issues on a large display, but found that by adding the font option in netbeans.conf, does the UI fonts were much more legable (restart Netbeans to activate).

Currently I'm using the settings below on a 2560x1400 screen, but you'll need to salt to suit your particular tastes. ;)

netbeans_default_options="--fontsize 24"

Be aware though that there are other bugs in the UI that stop all of the controls scaling to match the new, large font. For me, the general size improvement far outweighs the hassle of messing around, enlarging the occasional dialog to see the contents.

Caveat benevolentia!
Comment 9 noot 2016-06-19 09:22:12 UTC
Looks like support is built into JDK9 http://openjdk.java.net/jeps/263
Comment 10 ChrisLE 2017-02-15 14:21:01 UTC
We need a patch now I think, not waiting to NB9
Comment 11 ChrisLE 2017-02-15 14:30:23 UTC
the trick with the dpiaware=false was first step. Because it looks good but after 3 seconds NetBeans resizes back to getting smaller. I googled and I found this: http://stackoverflow.com/questions/23651486/netbeans-ide-scaling-on-windows-8

the thing with the registry and manifests (for windows 10) worked for me. I can work again.
Comment 12 ChrisLE 2017-04-06 10:42:27 UTC
Hope that this will be fixed in NetBeans 9. This is really needed.
Comment 13 ChrisLE 2017-04-06 11:42:43 UTC
Seems not fixed in the newest nightly build :/
Comment 14 runiter 2017-04-06 13:23:44 UTC
I think they're just waiting for Java 9 release (this July) which is supposed to fix HiDPI problem for all Java applications including Netbean: http://openjdk.java.net/jeps/263
Comment 15 Cruiser 2017-07-04 20:53:27 UTC
Will it be fixed in Netbeans 9? World be awesome


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo